summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-apps/pcsc-tools/files/smartcard.cron')
-rw-r--r--sys-apps/pcsc-tools/files/smartcard.cron15
1 files changed, 15 insertions, 0 deletions
diff --git a/sys-apps/pcsc-tools/files/smartcard.cron b/sys-apps/pcsc-tools/files/smartcard.cron
new file mode 100644
index 000000000000..314f46f107ef
--- /dev/null
+++ b/sys-apps/pcsc-tools/files/smartcard.cron
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+
+SRC=http://ludovic.rousseau.free.fr/softwares/pcsc-tools/smartcard_list.txt
+DEST=/usr/share/pcsc/smartcard_list.txt
+
+touch ${DEST} >/dev/null 2>&1 || exit 1
+
+if ! wget --quiet --no-timestamping -O "${DEST}".new "$SRC"; then
+ rm -f "${DEST}".new
+fi
+
+chmod a+r "${DEST}".new
+mv "${DEST}".new "${DEST}"